import 'package:flutter/material.dart';
import 'package:package_info_plus/package_info_plus.dart';

class VersionTitle extends StatelessWidget {
  const VersionTitle({
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return FutureBuilder<PackageInfo>(
      future: PackageInfo.fromPlatform(),
      builder: (context, snapshot) {
        if (snapshot.hasData) {
          var packageInfo = snapshot.data!;
          return Text(
            'App version: ${packageInfo.version}+${packageInfo.buildNumber}',
          );
        }

        if (snapshot.connectionState == ConnectionState.waiting) {
          return const CircularProgressIndicator();
        }

        return const SizedBox.shrink();
      },
    );
  }
}
